$(document).ready(function()
{
    $('[name^=createUsers]').change(function()
    {
        var $systemUser = $(this).parents('tr').find('[id^=systemUsers].chosen-container');
        var $newUser    = $(this).parents('tr').find('[name^=newUsers]');
        var $ignoreUser = $(this).parents('tr').find('[name^=ignoreUsers]');

        if($(this).prop('checked'))
        {
            $ignoreUser.prop('checked', false).change();;

            $systemUser.attr('disabled', true).hide();
            $newUser.attr('disabled', false).attr('placeholder', v.inputAccount).show();
        }
        else
        {
            $systemUser.attr('disabled', false).show();
            $newUser.attr('disabled', true).removeAttr('placeholder').hide();
        }

        $newUser.css({'margin-bottom' : 0, 'border-color' :''});
        $('.text-error').remove();
    });

    $('[name^=ignoreUsers]').change(function()
    {
        var $systemUser = $(this).parents('tr').find('[id^=systemUsers].chosen-container');
        var $newUser    = $(this).parents('tr').find('[name^=newUsers]');
        var $createUser = $(this).parents('tr').find('[name^=createUser]');

        if($(this).prop('checked'))
        {
            $createUser.prop('checked', false).change();

            $systemUser.attr('disabled', true).hide();
            $newUser.attr('disabled', true).show();
        }
        else
        {
            $systemUser.attr('disabled', false).show();
            $newUser.attr('disabled', false).removeAttr('placeholder').hide();
        }

        $newUser.css({'margin-bottom' : 0, 'border-color' :''});
        $('.text-error').remove();
    });

    $('[name^=ignoreUsers]').change();
})
